
package cz.zcu.kiv.db.dao.jdbc.model;

import java.util.List;

import cz.zcu.kiv.db.dao.StudiumDao;
import cz.zcu.kiv.db.model.studium.Obor;
import cz.zcu.kiv.db.model.studium.Program;

/**
 *
 * @author Radek Muzika
 */
public class JdbcProgram extends Program{

    private StudiumDao _studiumDao;
    
    @Override
    public List<Obor> getObory() {
        if(super.getObory()==null) this.setObory(_studiumDao.getOboryDleProgramu(this));
        return super.getObory();
    }
    
    public void setStudiumDao(StudiumDao studiumDao) {
        this._studiumDao = studiumDao;
    }

}
